Package org.flowable.cmmn.model

# Interface PlanItemTransition

public interface PlanItemTransition

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASYNC_ACTIVATE`
  `static final String`
  `ASYNC_LEAVE_ACTIVE`
  `static final String`
  `CLOSE`
  `static final String`
  `COMPLETE`
  `static final String`
  `CREATE`
  `static final String`
  `DISABLE`
  `static final String`
  `DISMISS`
  `static final String`
  `ENABLE`
  `static final String`
  `EXIT`
  `static final String`
  `FAULT`
  `static final String`
  `INITIATE`
  `static final String`
  `MANUAL_START`
  `static final String`
  `OCCUR`
  `static final String`
  `PARENT_RESUME`
  `static final String`
  `PARENT_SUSPEND`
  `static final String`
  `REACTIVATE`
  `static final String`
  `REENABLE`
  `static final String`
  `RESUME`
  `static final String`
  `START`
  `static final String`
  `SUSPEND`
  `static final String`
  `TERMINATE`

- ## Field Details

  - ### CLOSE

    static final String CLOSE
    See Also:
      - Constant Field Values

  - ### COMPLETE

    static final String COMPLETE
    See Also:
      - Constant Field Values

  - ### CREATE

    static final String CREATE
    See Also:
      - Constant Field Values

  - ### DISABLE

    static final String DISABLE
    See Also:
      - Constant Field Values

  - ### ENABLE

    static final String ENABLE
    See Also:
      - Constant Field Values

  - ### EXIT

    static final String EXIT
    See Also:
      - Constant Field Values

  - ### FAULT

    static final String FAULT
    See Also:
      - Constant Field Values

  - ### MANUAL_START

    static final String MANUAL_START
    See Also:
      - Constant Field Values

  - ### OCCUR

    static final String OCCUR
    See Also:
      - Constant Field Values

  - ### PARENT_RESUME

    static final String PARENT_RESUME
    See Also:
      - Constant Field Values

  - ### PARENT_SUSPEND

    static final String PARENT_SUSPEND
    See Also:
      - Constant Field Values

  - ### REACTIVATE

    static final String REACTIVATE
    See Also:
      - Constant Field Values

  - ### REENABLE

    static final String REENABLE
    See Also:
      - Constant Field Values

  - ### RESUME

    static final String RESUME
    See Also:
      - Constant Field Values

  - ### START

    static final String START
    See Also:
      - Constant Field Values

  - ### SUSPEND

    static final String SUSPEND
    See Also:
      - Constant Field Values

  - ### TERMINATE

    static final String TERMINATE
    See Also:
      - Constant Field Values

  - ### ASYNC_ACTIVATE

    static final String ASYNC_ACTIVATE
    See Also:
      - Constant Field Values

  - ### ASYNC_LEAVE_ACTIVE

    static final String ASYNC_LEAVE_ACTIVE
    See Also:
      - Constant Field Values

  - ### INITIATE

    static final String INITIATE
    See Also:
      - Constant Field Values

  - ### DISMISS

    static final String DISMISS
    See Also:
      - Constant Field Values